\documentclass{standalone}

\usepackage{tikz}
\input{couleur.sty}

\begin{document}
\begin{tikzpicture}[line cap=round,line join=round,x=1cm,y=1cm]
\draw [color=Gris1,, xstep=1cm,ystep=1cm] (-5,-3) grid (2,4);
\clip(-5,-3) rectangle (2,4);
\draw [line width=1.5pt,color=H1] (-4,2)-- (-3,-1);
\draw [line width=1.5pt,color=H1] (-3,-1)-- (-1,2);
\draw [line width=1.5pt,color=H1] (-1,2)-- (-4,2);
\draw [line width=1.5pt,color=A1,domain=-6.71:6.71] plot(\x,{(-1--1*\x)/1});
\begin{Large}
\draw (1.5,1.5) node[anchor=center] {$(d)$};
\end{Large}
\draw[color=A1] (-2.13,-3.24) node {$i$};
\draw [color=black] (0,2)-- ++(-2.5pt,-2.5pt) -- ++(5pt,5pt) ++(-5pt,0) -- ++(5pt,-5pt);
\draw[color=black] (0.17,2.42) node {$O$};
\end{tikzpicture}
\end{document}